C:::::      ,,,,,COMBGN..
C
C
C
C**********************************************************************
C        1         2         3         4         5         6         7*
C**********************************************************************
C**                                                                 ***
C**                                                                 ***
      subroutine COMBGN(nproc,myproc,ntids,tids,exenam,err)
C**                                                                 ***
C**                                                                 ***
C**********************************************************************
C**                                                                 ***
C**      COMBGN   is the initialization routine for the             ***
C**      LINSOL program package on one processor                    ***
C**                                                                 ***
!**********************************************************************
!**                                                                 ***
!**    Copyright (C) 1996 University Karlsruhe                      ***
!**    PROGRAMMER:    H. Haefner                                    ***
!**                                                                 ***
!**    This file is part of LINSOL.                                 ***
!**    LINSOL is free software; you can redistribute it and/or      ***
!**    modify it under the terms of the GNU General Public License  ***
!**    as published by the Free Software Foundation; either         ***
!**    version 2 of the License, or (at your option) any later      ***
!**    version.                                                     ***
!**                                                                 ***
!**    LINSOL is distributed in the hope that it will be useful,    ***
!**    but WITHOUT ANY WARRANTY; without even the implied warranty  ***
!**    of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.      ***
!**    See the GNU General Public License for more details.         ***
!**                                                                 ***
!**    You should have received a copy of the GNU General Public    ***
!**    License along with LINSOL; if not, write to the Free         ***
!**    Software Foundation, Inc., 59 Temple Place - Suite 330,      ***
!**    Boston, MA  02111-1307, USA.                                 ***
!**                                                                 ***
C**********************************************************************
C**                                                                 ***
      implicit none
C**                                                                 ***
C**-----------------------------------------------------------------***
C**                                                                 ***
C**      FORMAL PARAMETERS :                                        ***
C**      -----------------                                          ***
C**                    >                                            ***
      integer           nproc,myproc,ntids,tids(ntids),err
      character*(*)     exenam
C**                                                                 ***
C**-----------------------------------------------------------------***
C**                                                                 ***
C**   LIST OF FORMAL PARAMETERS :                                   ***
C**   -------------------------                                     ***
C**                                                                 ***
C--------I------I-----I------------------------------------------------
C NAME   I TYPE I I/O I     MEANING
C--------I------I-----I------------------------------------------------
C--------I------I-----I------------------------------------------------
C nproc  I  I   I out I number of processors (or processes)
C--------I------I-----I------------------------------------------------
C myproc I  I   I out I logical own process(or) number
C--------I------I-----I------------------------------------------------
C tids   I  I   I out I physical process(or) number
C--------I------I-----I------------------------------------------------
C ntids  I  I   I in  I dimension of array tids          
C--------I------I-----I------------------------------------------------
C exenam I  S   I  -  I name of the executable on the nodes with
C        I      I     I specification of the path
C--------I------I-----I------------------------------------------------
C err    I  I   I out I error number
C        I      I     I =  0    : no error
C        I      I     I = 10301 : ntids is lower than nproc
C--------I------I-----I------------------------------------------------
C**                                                                 ***
C**                                                                 ***
C**                                                                 ***
C**                                                                 ***
C**** START OF CALCULATION :                                        ***
C**   ---------------------                                         ***
C**                                                                 ***

      err = 0
      nproc = 1
      myproc = 1
      tids(1) = 8888
      exenam='dummy-string'
      if (ntids .ge. 1) then
        err = 0
      else
        err = 10301
      endif

C**
C**** END OF CALCULATION
C**   ------------------
C**
      r e t u r n
C-----END OF COMBGN---------------------------------------------------
      e    n    d
