      MODULE constants

! source/linsol/constants.f.  Generated from constants.f.in by configure.
!

      integer, parameter ::  ia2 = 7
      integer, parameter ::  ntyp = 11
      integer, parameter ::  nrlin = 10
      integer, parameter ::  nilin = 50

      integer, parameter ::  ia2buf = 3
      integer, parameter ::  ia2LU  = 3
      real, parameter    ::  msgblkfac = 1.0

!**********************************************************************
!**                                                                 ***
!**    STORAGE FOR VARIABLES IN BYTES  IREAL = REAL NUMBERS         ***
!**                                    IINT  = INTEGER NUMBERS      ***
!**                                    ILOG  = LOGICAL NUMBERS      ***
!**                                    RPI   = IREAL/IINT           ***
!**                                    RPL   = IREAL/ILOG           ***
!**                                                                 ***
!**********************************************************************
!**                                                                 ***
!**    Copyright (C) 2001 University Karlsruhe                      ***
!**    PROGRAMMER:    H. Haefner                                    ***
!**                                                                 ***
!**    This file is part of LINSOL.                                 ***
!**    LINSOL is free software; you can redistribute it and/or      ***
!**    modify it under the terms of the GNU General Public License  ***
!**    as published by the Free Software Foundation; either         ***
!**    version 2 of the License, or (at your option) any later      ***
!**    version.                                                     ***
!**                                                                 ***
!**    LINSOL is distributed in the hope that it will be useful,    ***
!**    but WITHOUT ANY WARRANTY; without even the implied warranty  ***
!**    of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.      ***
!**    See the GNU General Public License for more details.         ***
!**                                                                 ***
!**    You should have received a copy of the GNU General Public    ***
!**    License along with LINSOL; if not, write to the Free         ***
!**    Software Foundation, Inc., 59 Temple Place - Suite 330,      ***
!**    Boston, MA  02111-1307, USA.                                 ***
!**                                                                 ***
!**********************************************************************

      integer, parameter :: ireal =  8
      integer, parameter :: iint =   4
      integer, parameter :: ilog =  4
      integer, parameter :: rpi = ireal/iint
      integer, parameter :: rpl = ireal/ilog
      integer, parameter :: nmsgmax = 64000

!**********************************************************************
!**                                                                 ***
!**    CACHE SIZE HAS TO BE DECLARED IN 64 BIT WORDS                ***
!**    CACHE USE FACTOR (cusfac) MUST BE SMALLER THAN ONE           ***
!**                                                                 ***
!**********************************************************************
      integer, parameter ::  cachsz = 8192
      real, parameter    ::  cusfac = 0.9

      integer, parameter ::  maxnpe = 128

      END MODULE constants
