module comm_ifc

  interface

     subroutine LL4MIN(nc,n,l,iv,minima,iwork, &
          myproc,nproc,tids,nmsg)
       integer :: nc,n,l,myproc,nproc,nmsg
       integer :: tids(nproc)
       integer :: iv(l,n),minima(n),iwork(n)
       intent(in) :: nc, n, l, iv
       intent(in) :: nproc, myproc, tids, nmsg
       intent(inout) :: iwork
       intent(out) :: minima
     end subroutine LL4MIN

     subroutine LL4INM(nc,n,l,iv,maxnrm,iwork, &
          myproc,nproc,tids,nmsg)
       integer :: nc,n,l,myproc,nproc,nmsg
       integer :: tids(nproc)
       integer :: iv(l,n),maxnrm(n),iwork(n)
       intent(in) :: nc, n, l, iv
       intent(out) :: maxnrm
       intent(inout) :: iwork
       intent(in) :: nproc, myproc, tids, nmsg
     end subroutine LL4INM

     subroutine LL4ISM(nc,nv,l,iv,isum,iw,myproc,nproc,tids,nmsg)
       integer :: nc,nv,l,myproc,nproc,nmsg
       integer :: tids(nproc)
       integer :: iv(l,nv),isum(nv),iw(nv)
       intent(in) :: nc, nv, l, iv
       intent(out) :: isum
       intent(inout) :: iw
       intent(in) :: myproc, nproc, tids, nmsg
     end subroutine LL4ISM


     integer function LL9MAP(tomap, nproc)
       integer, intent(in) :: tomap, nproc
     end function LL9MAP

  end interface

end module comm_ifc
