C:::::      ,,,,,MPINFO...
C
C
C
C**********************************************************************
C        1         2         3         4         5         6         7*
C**********************************************************************
C**                                                                 ***
C**                                                                 ***
      integer function MPINFO(tstval)
C**                                                                 ***
C**                                                                 ***
C**********************************************************************
C**                                                                 ***
C**      MPINFO  is a INFO-routine for the P_MPI.                   ***
C**              tstval=1 --> MPINFO = 1 means alternating buffer   ***
C**                                 technique (ABT) is switched on. ***
C**                           MPINFO = 0 means ABT is switched off. ***
C**              tstval=2 --> MPINFO = NPROC = 1                    ***
C**                                                                 ***
!**********************************************************************
!**                                                                 ***
!**    Copyright (C) 1996 University Karlsruhe                      ***
!**    PROGRAMMER:    H. Haefner                                    ***
!**                                                                 ***
!**    This file is part of LINSOL.                                 ***
!**    LINSOL is free software; you can redistribute it and/or      ***
!**    modify it under the terms of the GNU General Public License  ***
!**    as published by the Free Software Foundation; either         ***
!**    version 2 of the License, or (at your option) any later      ***
!**    version.                                                     ***
!**                                                                 ***
!**    LINSOL is distributed in the hope that it will be useful,    ***
!**    but WITHOUT ANY WARRANTY; without even the implied warranty  ***
!**    of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.      ***
!**    See the GNU General Public License for more details.         ***
!**                                                                 ***
!**    You should have received a copy of the GNU General Public    ***
!**    License along with LINSOL; if not, write to the Free         ***
!**    Software Foundation, Inc., 59 Temple Place - Suite 330,      ***
!**    Boston, MA  02111-1307, USA.                                 ***
!**                                                                 ***
C**********************************************************************
C**                                                                 ***
      implicit none
C**                                                                 ***
C**-----------------------------------------------------------------***
C**                                                                 ***
C**      FORMAL PARAMETERS :                                        ***
C**      -----------------                                          ***
C**                                                                 ***
C**                    >                                            ***
      integer           tstval
C**                                                                 ***
C**-----------------------------------------------------------------***
C**                                                                 ***
C**   LIST OF FORMAL PARAMETERS :                                   ***
C**   -------------------------                                     ***
C**                                                                 ***
C--------I------I-----I------------------------------------------------
C NAME   I TYPE I I/O I     MEANING
C--------I------I-----I------------------------------------------------
C--------I------I-----I------------------------------------------------
C tstval I  I   I in  I  test value  
C--------I------I-----I------------------------------------------------
C**                                                                 ***
C**-----------------------------------------------------------------***
C**                                                                 ***
C**      LOCAL PARAMETERS :                                         ***
C**      -----------------                                          ***
C**                                                                 ***
C**                    >                                            ***
C
C
C**** START OF CALCULATION
C     --------------------
C
      if (tstval .eq. 1) then
        MPINFO = 1
      endif
      if (tstval .eq. 2) then
        MPINFO = 1
      endif
C
C
C**** END OF CALCULATION
C     ------------------
C
      r e t u r n
C-----END OF MPINFO----------------------------------------------------
      e    n    d
