C:::::      ,,,,,REDUCE.....
C
C
C
C**********************************************************************
C        1         2         3         4         5         6         7*
C**********************************************************************
C**                                                                 ***
C**                                                                 ***
      subroutine REDUCE(ROUTIN,swork,string,lstr,myproc,
     &                  nproc,tids,nmsg)
C**                                                                 ***
C**                                                                 ***
C**********************************************************************
C**                                                                 ***
C**      R E D U C E    performs the reduce operation on the        ***
C**                     routine <ROUTIN> on all processors.         ***
C**                                                                 ***
C**********************************************************************
C**                                                                 ***
!**    Copyright (C) 1998 University Karlsruhe                      ***
!**    PROGRAMMER:    H. Haefner                                    ***
!**                                                                 ***
!**    This file is part of LINSOL.                                 ***
!**    LINSOL is free software; you can redistribute it and/or      ***
!**    modify it under the terms of the GNU General Public License  ***
!**    as published by the Free Software Foundation; either         ***
!**    version 2 of the License, or (at your option) any later      ***
!**    version.                                                     ***
!**                                                                 ***
!**    LINSOL is distributed in the hope that it will be useful,    ***
!**    but WITHOUT ANY WARRANTY; without even the implied warranty  ***
!**    of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.      ***
!**    See the GNU General Public License for more details.         ***
!**                                                                 ***
!**    You should have received a copy of the GNU General Public    ***
!**    License along with LINSOL; if not, write to the Free         ***
!**    Software Foundation, Inc., 59 Temple Place - Suite 330,      ***
!**    Boston, MA  02111-1307, USA.                                 ***
C**                                                                 ***
C**********************************************************************
C**                                                                 ***
      implicit none
C**                                                                 ***
C**-----------------------------------------------------------------***
C**                                                                 ***
C**      FORMAL PARAMETERS :                                        ***
C**      -----------------                                          ***
C**                                                                 ***
      integer            lstr,myproc,nproc,nmsg 
      integer            tids(nproc)
C**                                                                 ***
      character*1        swork(lstr),string(lstr)                
      external           ROUTIN
C**                                                                 ***
C**-----------------------------------------------------------------***
C**                                                                 ***
C**   LIST OF FORMAL PARAMETERS :                                   ***
C**   -------------------------                                     ***
C**                                                                 ***
C--------I------I-----I------------------------------------------------
C NAME   I TYPE I I/O I     MEANING
C--------I------I-----I------------------------------------------------
C--------I------I-----I------------------------------------------------
C ROUTIN I  C   I in  I  name of the routine to be called            
C--------I------I-----I------------------------------------------------
C swork  I  C   I in  I  string vector for routine <ROUTIN>          
C--------I------I-----I------------------------------------------------
C string I  C   I i/o I  string vector for routine <ROUTIN>          
C--------I------I-----I------------------------------------------------
C lstr   I  I   I in  I  length of the above mentioned vectors in Bytes 
C--------I------I-----I------------------------------------------------
C myproc I  I   I in  I  process(or) id
C--------I------I-----I------------------------------------------------
C nproc  I  I   I in  I  number of processes (processors)
C--------I------I-----I------------------------------------------------
C tids   I  I   I in  I  set of tids                array : tids(nproc)
C--------I------I-----I------------------------------------------------
C nmsg   I  I   I i/o I  number of calls of communication routines
C--------I------I-----I------------------------------------------------
C**                                                                 ***
C**                                                                 ***
C**        LOCAL PARAMETERS :                                       ***
C**        ----------------                                         ***
C**                                                                 ***
C**                                                                 ***
C**-----------------------------------------------------------------***
C**                                                                 ***
C
C
C**** START OF CALCULATION :
C     ---------------------
C
      print *,' This routine (reduce) should not be entered if you'
      print *,' run LINSOL on one processor. If you run LINSOL on '
      print *,' more than one processor, then you have to link the'
      print *,' library MPI={PVM,MPI,MPIT3D} and not the library'
      print *,' nocomm. Therefore the program is stopped (bang).'
      stop
C
C**** END OF CALCULATION
C     ------------------
C
      r e t u r n
C-----END OF REDUCE--------------------------------------------------
      e    n    d
